## org.codehaus.groovy.grails.web.taglib.jsp
Class JspHasErrorsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspHasErrorsTag

All Implemented Interfaces:
  Serializable, BodyTag, DynamicAttributes, IterationTag, JspTag, Tag

    public class JspHasErrorsTag

extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP hasErrors tag

Since:
  28-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspHasErrorsTag()`

Method Summary
`String` `getBean()`
`String` `getField()`
`String` `getModel()`
`void` `setBean(String bean)`
`void` `setField(String field)`
`void` `setModel(String model)`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JspHasErrorsTag

    public JspHasErrorsTag()

Method Detail

### getBean

    public String getBean()

### setBean

    public void setBean(String bean)

### getModel

    public String getModel()

### setModel

    public void setModel(String model)

### getField

    public String getField()

### setField

    public void setField(String field)

Copyright (c) 2005-2009 The Grails project